package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.ElecPvSupplyH;
import com.ruoyi.ems.model.QueryMeter;

import java.util.List;

/**
 * 光伏并网计量-小时Service接口
 *
 * @author ruoyi
 * @date 2024-08-02
 */
public interface IElecPvSupplyHService {
    /**
     * 查询光伏并网计量-小时
     *
     * @param id 光伏并网计量-小时主键
     * @return 光伏并网计量-小时
     */
    ElecPvSupplyH selectPvSupplyHById(Long id);

    /**
     * 查询光伏并网计量-小时列表
     *
     * @param pvSupplyH 光伏并网计量-小时
     * @return 光伏并网计量-小时集合
     */
    List<ElecPvSupplyH> selectPvSupplyHList(ElecPvSupplyH pvSupplyH);

    /**
     * 查询光伏并网计量-小时列表
     *
     * @param queryMeter 光伏并网计量-小时
     * @return 光伏并网计量-小时集合
     */
    List<ElecPvSupplyH> selectPvSupplyDayList(QueryMeter queryMeter);

    /**
     * 新增光伏并网计量-小时
     *
     * @param pvSupplyH 光伏并网计量-小时
     * @return 结果
     */
    int insertPvSupplyH(ElecPvSupplyH pvSupplyH);

    /**
     * 修改光伏并网计量-小时
     *
     * @param pvSupplyH 光伏并网计量-小时
     * @return 结果
     */
    int updatePvSupplyH(ElecPvSupplyH pvSupplyH);

    /**
     * 批量删除光伏并网计量-小时
     *
     * @param ids 需要删除的光伏并网计量-小时主键集合
     * @return 结果
     */
    int deletePvSupplyHByIds(Long[] ids);

    /**
     * 删除光伏并网计量-小时信息
     *
     * @param id 光伏并网计量-小时主键
     * @return 结果
     */
    int deletePvSupplyHById(Long id);
}
